<?php
  //header("Content-Type: text/html; charset=iso-8859-1");
  header('Content-type: application/vnd.ms-excel');
  header("Content-Disposition: attachment; filename=busqueda_tesis.xls");
  set_time_limit(150);
  ini_set('memory_limit', '96M');
  $o_ObjectBean = new PrestamoBean();
  
if($cboMercado     	!=""){ $o_ObjectBean->setIdMercado($cboMercado);}
if($cboColaborador     	!=""){ 
	$o_ObjectBean->setIdColaboradorPrestamo($cboColaborador);
}else{
	
	$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
}
if($cboColaborador     	!=""){ $o_ObjectBean->setIdColaborador($cboColaborador);}
if($FechaInicial  !=""){ $o_ObjectBean->setFechaInicio($FechaInicial); }


  $o_ObjectBean->page       = $page;
  $o_ObjectBean->tamPag     = $tamanioPag;
  $o_ObjectBean->sortCampos = $sortCampos;
  $o_ObjectBean->sortType   = $sortType;
  
$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);
  
  //Facultades
//$o_DocenteSystemClass = new DocenteSystemClass(new FacultadBean());
//$a_Facultad = $o_DocenteSystemClass->getFacultad();
    
  ViewResponse::getInstance()->setMethodAjax();
?>
      <table>
        <tr>
          <td>
            <table>
              <tr>
                <th>Nª Prest.</th>
                <th>Cliente</th>
                <th>Capital</th>
                <th>Tipo Pret.</th>
                <th>Fecha Publ.</th>
                <th>Saldo</th>
                <th>Cuota</th>
                <th>&nbsp;</th>
                <th>&nbsp;</th>
                <th>&nbsp;</th>
              </tr>
              
              <?
              if(count($a_ObjectBean)>0){
              /*if(count($a_ObjectBean)>0){ 

                foreach ($a_ObjectBean as $iKey => $o_objBean){ 
                  $o_TesisBL      = new TesisBL();
                  $o_TesisBean    = $o_TesisBL->busquedaTesisDetalles($o_objBean); 
                  $a_TesisAlumno  = $o_TesisBean->getArrayTesisAlumno();
                  
                  
                  foreach ($a_TesisAlumno as $iKey2 => $o_TesisAlumno){ 
                    $i++;?>
                    <tr>
                       <td><?=$o_objBean->getCodigoBAN() ?></td>
                       <td><?=$o_objBean->getDescripcion() ?></td>
                       <td><?=$o_objBean->getFechaSustentacion()?></td>
                       <td><?=$o_objBean->getFechaAprobacion()?></td>
                       <td><?=$o_objBean->getFechaPublicacion()?></td>
                       <td><?=$o_TesisAlumno->getObjectAlumno()->getCodigoAlumno()?></td>
                       <td>
                       <?
                       foreach ($a_Facultad as $iKey => $o_FacultadBean){
                        if($o_FacultadBean->getFacultadId() == $o_objBean->getFacultadId()){
                          echo $o_FacultadBean->getDescripcion();
                        }
                       }
                        ?>
                       </td>
                       <td><?=$o_objBean->getEspecialidadId()?></td>
                       <td><?=$o_TesisAlumno->getObjectAlumno()->getNombre()?></td>
                    </tr><?
                  } 
                }
              }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } */?>
            </table>
          </td>
        </tr>
      </table>
  <?php
  ini_set('memory_limit', '32M');
  ?>    
  